// assets/js/index.js

import '../styles/app.scss'
// CKEditor
import '../styles/ckeditor.css'
import 'fork-awesome/scss/fork-awesome.scss'

import { createApp } from 'vue'
import 'bootstrap/dist/css/bootstrap.css'
import 'bootstrap/dist/js/bootstrap'

import { createPinia } from 'pinia'

import VueHighLightJS from 'vue3-highlightjs'
import 'vue3-highlightjs/styles/dracula.css'

import Router from '@/router'
import AppLink from '@/components/AppLink'
import App from '@/App'

/* eslint-disable */

globalThis.__VUE_OPTIONS_API__ = true
globalThis.__VUE_PROD_DEVTOOLS__ = true

// Matomo
const _paq = window._paq = window._paq || []
/* tracker methods like "setCustomDimension" should be called before "trackPageView" */
_paq.push(['trackPageView'])
_paq.push(['enableLinkTracking']);
(function () {
	const u = 'https://analytics.24unix.net/'
	_paq.push(['setTrackerUrl', `${u}matomo.php`])
	_paq.push(['setSiteId', '1'])
	const d = document
	const g = d.createElement('script')
	const
		s = d.getElementsByTagName('script')[0]
	g.async = true
	g.src = `${u}matomo.js`
	s.parentNode.insertBefore(g, s)
}())
// End Matomo Code
/* eslint-enable */

//globalThis.__VUE_OPTIONS_API__ = true;
//globalThis.__VUE_PROD_DEVTOOLS__ = true;

createApp(App)
	.component('AppLink', AppLink)
	.use(createPinia())
	.use(VueHighLightJS)
	.use(Router)
	.mount('#app')
