<?php
// src/Controller/FrontendController.php

declare(strict_types=1);

namespace App\Controller;

use App\Repository\QuotesRepository;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;
use Symfony\Component\Serializer\SerializerInterface;

/**
 *
 */
class FrontendController extends AbstractController
{
    /**
     * @throws \Exception
     */
    #[Route(path: '/', name: 'app_main')]
    #[Route(path: '/{route}', name: 'vue_pages', requirements: ['route' => '^(?!.*_wdt|_profiler|login|logout).+'] )]

    public function quote(SerializerInterface $serializer, QuotesRepository $quotesRepository): Response
    {
        $quote = $quotesRepository->findOneRandom();

        return $this->render(view: 'base.html.twig', parameters: [
	        'user' => $serializer->serialize(data: $this->getUser(), format: 'jsonld'),
	        'quote' => json_encode(value: $quote->getQuote())
        ]);
    }
}
